//This is the iteration 1 calendaradder object. It contains
//the constructor and basic functions that will also be used
//by iteration 2, however some functions will be masked
//by more advanced functions in the 2nd iteration and
//beyond.


function calendaradder ()	{


	this.getSubject = function (hdr)	{
		var subject = hdr.mime2DecodedSubject;
		if(subject)		
			return subject;
		else
			return "<<Enter Title>>";
	}
	
	this.getAuthor = function (hdr)	{
		var author = hdr.mime2DecodedAuthor;
		return author;
	}
	
	this.getBody = function (hdr)	{
		var offset = new Object();
		var messageSize = new Object();
		
		try{
			var is = hdr.folder.getOfflineFileStream(hdr.messageKey,offset,messageSize);
			var sis = Components.classes["@mozilla.org/scriptableinputstream;1"].createInstance (Components.interfaces.nsIScriptableInputStream);
			sis.init(is);
			var bodyAndHdr = sis.read(hdr.messageSize-10);
		}catch(e){
			alert("message: "+e.message);
		}
		
		var hdrstr = bodyAndHdr.indexOf("\r\n\r\n"); //marks the end of the //headers
		
		var body = bodyAndHdr.substring(hdrstr+1,bodyAndHdr.length);
		
		return body;
	}
	
	this.getStartTime = function (body)	{
	    startDate = jsDateToDateTime(new Date());
	    startDate.second = 0;
	    startDate.normalize();
	    return startDate;
	}

	this.getEndTime = function (body)	{
	    endDate = jsDateToDateTime(new Date());
	    endDate.hour = endDate.hour + 1; 
	    endDate.normalize();
	    return endDate;
	}

}